Bug 1937627 - Bump DEFAULT_DOC_URL for 4.8
Summary: Bump DEFAULT_DOC_URL for 4.8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.8.0
Assignee: Jakub Hadvig
QA Contact: Xiyun Zhao
URL:
Whiteboard:
: 1938599 1938601 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-11 08:00 UTC by Yadan Pei
Modified: 2021-07-27 22:53 UTC (History)
4 users (show)

Fixed In Version: 4.8.0-0.nightly-2021-03-15-144314
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:52:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console-operator pull 515 0 None open Bug 1937627: Bump DEFAULT_DOC_URL for 4.8 2021-03-11 08:08:26 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:53:05 UTC

Description Yadan Pei 2021-03-11 08:00:02 UTC
Description of problem:
The documentationBaseURL on 4.8 cluster is still pointing to 4.7

Version-Release number of selected component (if applicable):
4.8.0-0.nightly-2021-03-10-142839

How reproducible:
Always

Steps to Reproduce:
1. check documentationBaseURL
$ oc get cm console-config -n openshift-console -o yaml | grep customization -A2
    customization:
      branding: ocp
      documentationBaseURL: https://docs.openshift.com/container-platform/4.7/
2. 
3.

Actual results:
1. documentationBaseURL should be updated to https://docs.openshift.com/container-platform/4.8/

Expected results:


Additional info:

Comment 1 Jakub Hadvig 2021-03-15 07:47:18 UTC
*** Bug 1938601 has been marked as a duplicate of this bug. ***

Comment 3 Xiyun Zhao 2021-03-16 02:16:33 UTC
Checked on OCP 4.8 cluster with payload 4.8.0-0.nightly-2021-03-15-144314.
The value of "documentationBaseURL" has been updated to " https://docs.openshift.com/container-platform/4.8/" 
Steps for verify:
    1. Login OCP by using command line
    2. Check the value of "documentationBaseURL" by using below command:
          oc get cm console-config -n openshift-console -o yaml | grep customization -A2

Comment 4 Xiyun Zhao 2021-03-16 02:40:36 UTC
Checked on OCP 4.8 cluster with payload 4.8.0-0.nightly-2021-03-15-144314.
The value of 'documentationBaseURL' has been updated to " https://docs.openshift.com/container-platform/4.8/" 
Steps for verify:
    1. Login OCP by using command line
    2. Check the value of 'documentationBaseURL' by using below command:
          oc get cm console-config -n openshift-console -o yaml | grep customization -A2
    3. Verified the value of 'documentationBaseURL' is updated, and the return value in command line is shown as below:
           customization:
             branding: ocp
             documentationBaseURL: https://docs.openshift.com/container-platform/4.8/

Comment 5 Jakub Hadvig 2021-03-22 21:00:44 UTC
*** Bug 1938599 has been marked as a duplicate of this bug. ***

Comment 8 errata-xmlrpc 2021-07-27 22:52:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.